package sun.audio;

import java.io.InputStream;

public class AudioPlayer extends Thread {
   private AudioDevice devAudio;
   public static final AudioPlayer player = CreateAudioPlayer();

   private static AudioPlayer CreateAudioPlayer() {
      SecurityManager.enablePrivilege("UniversalThreadAccess");
      SecurityManager.enablePrivilege("UniversalThreadGroupAccess");
      return new AudioPlayer();
   }

   private static ThreadGroup getAudioThreadGroup() {
      ThreadGroup var0;
      for(var0 = Thread.currentThread().getThreadGroup(); var0.getParent() != null && var0.getParent().getParent() != null; var0 = var0.getParent()) {
      }

      return var0;
   }

   private AudioPlayer() {
      super(getAudioThreadGroup(), "Audio Player");
      this.devAudio = AudioDevice.device;
      ((Thread)this).setPriority(10);
      ((Thread)this).setDaemon(true);
      ((Thread)this).start();
   }

   public synchronized void start(InputStream var1) {
      this.devAudio.openChannel(var1);
      this.notify();
   }

   public synchronized void stop(InputStream var1) {
      this.devAudio.closeChannel(var1);
   }

   public void run() {
      this.devAudio.open();
      this.devAudio.play();
      this.devAudio.close();
      System.out.println("audio player exit");
   }
}
