package sun.audio;

import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;

public class AudioStream extends FilterInputStream {
   NativeAudioStream audioIn;

   public AudioStream(InputStream var1) throws IOException {
      super(var1);

      try {
         this.audioIn = new NativeAudioStream(var1);
      } catch (InvalidAudioFormatException var2) {
         this.audioIn = new AudioTranslatorStream(var1);
      }

      super.in = this.audioIn;
   }

   public int read(byte[] var1, int var2, int var3) throws IOException {
      int var4 = 0;

      while(var4 < var3) {
         int var5 = super.read(var1, var2 + var4, var3 - var4);
         if (var5 < 0) {
            return var4;
         }

         var4 += var5;
         Thread.currentThread();
         Thread.yield();
      }

      return var4;
   }

   public AudioData getData() throws IOException {
      byte[] var1 = new byte[this.audioIn.getLength()];
      int var2 = this.read(var1, 0, this.audioIn.getLength());
      ((FilterInputStream)this).close();
      if (var2 != this.audioIn.getLength()) {
         throw new IOException("audio data read error");
      } else {
         return new AudioData(var1);
      }
   }

   public int getLength() {
      return this.audioIn.getLength();
   }
}
